LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XBindableValue Interface Reference

specifies support for being bound to an external value More...

`import "XBindableValue.idl";`

Inheritance diagram for XBindableValue:

## Public Member Functions
void | setValueBinding ([in] XValueBinding aBinding) raises ( IncompatibleTypesException )
| sets an external instance which controls the value of the component
XValueBinding | getValueBinding ()
| retrieves the external instance which currently controls the value of the component
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

specifies support for being bound to an external value

See also
  XValueBinding

Developers Guide
  Forms - Value Bindings

## Member Function Documentation

## ◆ getValueBinding()

XValueBinding getValueBinding | ( |  | ) |

retrieves the external instance which currently controls the value of the component

## ◆ setValueBinding()

void setValueBinding | ( | [in] XValueBinding | aBinding | ) |
raises | ( | IncompatibleTypesException ) |  |  |

sets an external instance which controls the value of the component

Any previously active binding will be revoked. There can be only one!

Parameters

  aBinding | the new binding which is to be used by the component. May be NULL, in this case only the current binding is revoked.

Exceptions

  IncompatibleTypesException | if the new binding (provided it's not NULL) supports only types which are incompatible with the types of the bindable component.

The documentation for this interface was generated from the following file:

- com/sun/star/form/binding/XBindableValue.idl